package com.bernard.greposimu.source;

import java.util.List;
import java.util.Map;

public class SourcedData {

	Map<String,SourcedTown> towns;
	List<SourcedCelebration> celebrations;
	List<SourcedMilitaryOrders> movements;
	List<SourcedTrades> trades;
	
	Map<String,Integer> favors;
	List<SourcedUnits> units;
	
	public Map<String, SourcedTown> getTowns() {
		return towns;
	}
	public List<SourcedCelebration> getCelebrations() {
		return celebrations;
	}
	public List<SourcedMilitaryOrders> getMovements() {
		return movements;
	}
	public List<SourcedTrades> getTrades() {
		return trades;
	}
	public Map<String, Integer> getFavors() {
		return favors;
	}
	public List<SourcedUnits> getUnits() {
		return units;
	}
	@Override
	public String toString() {
		return "SourcedData [towns=" + towns + ", celebrations=" + celebrations + ", movements=" + movements
				+ ", trades=" + trades + ", favors=" + favors + "]";
	}
	
}
